#!/bin/sh

AFROS=~/Desktop/afros812.zip

BOOTDRVC=bootdrvc.prg

MINT_INI=/tmp/mint.ini

if [ ! -d "afros" ]
then
	echo -n "Unpacking AFROS... "
	unzip -q $AFROS
	echo "OK"
fi

echo -n "Creating boot floppy... "
export MTOOLSRC="./mtoolsrc"

echo "drive t: file=\"floppy\"" > ./mtoolsrc

mformat -C -f 1440 -v ARAFLOPPY t:
echo "OK"

cat <<_EOF >$MINT_INI
# This file is automatically created,
# do not edit.

XFS_LOAD=YES
XDD_LOAD=YES
EXE_AUTO=NO
MEM_PROT=NO
INI_STEP=NO
DEBUG_LEVEL=1
DEBUG_DEVNO=0
BOOT_DELAY=0
INI_SAVE=NO
_EOF

echo -n "Copying files to floppy... "
mmd t:auto
mcopy $BOOTDRVC t:auto
mcopy afros/system/mint.prg t:auto
mcopy $MINT_INI t:
echo "OK"

echo -n "Final clean up... "
rm -f ./mtoolsrc
rm -f $MINT_INI
echo "OK"
